var React = require('react');
var Ranger = require('../lib');

var files = [
  'example/app.jsx',
  'example/dist/index.html',
  'example/dist/js/app.js',
  'gulpfile.js',
  'lib/index.js',
  'lib/views/file.jsx',
  'lib/views/folder.jsx',
  'lib/views/pane.jsx',
  'lib/views/ranger.jsx',
  'node_modules/browserify/bin/advanced.txt',
  'node_modules/browserify/bin/args.js',
  'node_modules/browserify/bin/cmd.js*',
  'node_modules/browserify/bin/usage.txt',
  'node_modules/browserify/changelog.markdown',
  'node_modules/browserify/index.js',
  'node_modules/browserify/lib/builtins.js',
  'node_modules/browserify/lib/_empty.js',
  'node_modules/browserify/lib/_exclude.js',
  'node_modules/browserify/LICENSE',
  'node_modules/browserify/package.json',
  'node_modules/browserify/readme.markdown',
  'node_modules/browserify/test/args.js',
  'node_modules/browserify/test/backbone.js',
  'node_modules/browserify/test/bin_entry.js',
  'node_modules/browserify/test/bin.js',
  'node_modules/browserify/test/bin_tr_error.js',
  'node_modules/browserify/test/bom.js',
  'node_modules/browserify/test/buffer.js',
  'node_modules/browserify/test/bundle_external.js',
  'node_modules/browserify/test/bundle.js',
  'node_modules/browserify/test/bundle_sourcemap.js',
  'node_modules/browserify/test/catch.js',
  'node_modules/browserify/test/circular.js',
  'node_modules/browserify/test/coffee_bin.js',
  'node_modules/browserify/test/coffeeify.js',
  'node_modules/browserify/test/comment.js',
  'node_modules/browserify/test/crypto.js',
  'node_modules/browserify/test/cycle.js',
  'node_modules/browserify/test/dedupe-nomap.js',
  'node_modules/browserify/test/dep.js',
  'node_modules/browserify/test/dnode.js',
  'node_modules/browserify/test/dollar.js',
  'node_modules/browserify/test/double_buffer.js',
  'node_modules/browserify/test/entry_exec.js',
  'node_modules/browserify/test/entry.js',
  'node_modules/browserify/test/error_code.js',
  'node_modules/browserify/test/export.js',
  'node_modules/browserify/test/external.js',
  'node_modules/browserify/test/fake.js',
  'node_modules/browserify/test/field.js',
  'node_modules/browserify/test/file_event.js',
  'node_modules/browserify/test/full_paths.js',
  'node_modules/browserify/test/global.js',
  'node_modules/browserify/test/glob.js',
  'node_modules/browserify/test/hash_instance_context.js',
  'node_modules/browserify/test/hash_instance.js',
  'node_modules/browserify/test/hash.js',
  'node_modules/browserify/test/id_hash.js',
  'node_modules/browserify/test/ignore.js',
  'node_modules/browserify/test/json.js',
  'node_modules/browserify/test/leak.js',
  'node_modules/browserify/test/maxlisteners.js',
  'node_modules/browserify/test/multi_bundle.js',
  'node_modules/browserify/test/multi_bundle_unique.js',
  'node_modules/browserify/test/multi_entry.js',
  'node_modules/browserify/test/no_builtins.js',
  'node_modules/browserify/test/pack.js',
  'node_modules/browserify/test/paths.js',
  'node_modules/browserify/test/process.js',
  'node_modules/browserify/test/require_cache.js',
  'node_modules/browserify/test/retarget.js',
  'node_modules/browserify/test/reverse_multi_bundle.js',
  'node_modules/browserify/test/shebang.js',
  'node_modules/browserify/test/standalone_events.js',
  'node_modules/browserify/test/standalone.js',
  'node_modules/browserify/test/standalone_sourcemap.js',
  'node_modules/browserify/test/stdin.js',
  'node_modules/browserify/test/stream.js',
  'node_modules/browserify/test/subdep.js',
  'node_modules/browserify/test/tr_args.js',
  'node_modules/browserify/test/tr_error.js',
  'node_modules/browserify/test/tr.js',
  'node_modules/browserify/test/unicode.js',
  'node_modules/browserify/test/util.js',
  'node_modules/browserify/test/yield.js',
  'node_modules/envify/bin/envify*',
  'node_modules/envify/custom.js',
  'node_modules/envify/index.js',
  'node_modules/envify/package.json',
  'node_modules/envify/README.md',
  'node_modules/envify/test.js',
  'node_modules/envify/visitors.js',
  'node_modules/gulp/bin/gulp.js*',
  'node_modules/gulp/completion/bash',
  'node_modules/gulp/completion/README.md',
  'node_modules/gulp/completion/zsh',
  'node_modules/gulp/index.js',
  'node_modules/gulp/lib/completion.js',
  'node_modules/gulp/lib/taskTree.js',
  'node_modules/gulp/package.json',
  'node_modules/gulp/README.md',
  'node_modules/gulp-connect/index.js',
  'node_modules/gulp-connect/LICENSE',
  'node_modules/gulp-connect/package.json',
  'node_modules/gulp-connect/README.md',
  'node_modules/gulp-connect/src/index.coffee',
  'node_modules/gulp-connect/test/test.js',
  'node_modules/gulp-react/index.js',
  'node_modules/gulp-react/package.json',
  'node_modules/gulp-react/readme.md',
  'node_modules/react/addons.js',
  'node_modules/react/lib/accumulate.js',
  'node_modules/react/lib/adler32.js',
  'node_modules/react/lib/AutoFocusMixin.js',
  'node_modules/react/lib/ChangeEventPlugin.js',
  'node_modules/react/lib/ClientReactRootIndex.js',
  'node_modules/react/lib/cloneWithProps.js',
  'node_modules/react/lib/CompositionEventPlugin.js',
  'node_modules/react/lib/containsNode.js',
  'node_modules/react/lib/copyProperties.js',
  'node_modules/react/lib/createArrayFrom.js',
  'node_modules/react/lib/createFullPageComponent.js',
  'node_modules/react/lib/createNodesFromMarkup.js',
  'node_modules/react/lib/createObjectFrom.js',
  'node_modules/react/lib/CSSCore.js',
  'node_modules/react/lib/CSSProperty.js',
  'node_modules/react/lib/CSSPropertyOperations.js',
  'node_modules/react/lib/cx.js',
  'node_modules/react/lib/Danger.js',
  'node_modules/react/lib/dangerousStyleValue.js',
  'node_modules/react/lib/DefaultDOMPropertyConfig.js',
  'node_modules/react/lib/DefaultEventPluginOrder.js',
  'node_modules/react/lib/DOMChildrenOperations.js',
  'node_modules/react/lib/DOMProperty.js',
  'node_modules/react/lib/DOMPropertyOperations.js',
  'node_modules/react/lib/emptyFunction.js',
  'node_modules/react/lib/emptyObject.js',
  'node_modules/react/lib/EnterLeaveEventPlugin.js',
  'node_modules/react/lib/escapeTextForBrowser.js',
  'node_modules/react/lib/EventConstants.js',
  'node_modules/react/lib/EventListener.js',
  'node_modules/react/lib/EventPluginHub.js',
  'node_modules/react/lib/EventPluginRegistry.js',
  'node_modules/react/lib/EventPluginUtils.js',
  'node_modules/react/lib/EventPropagators.js',
  'node_modules/react/lib/ExecutionEnvironment.js',
  'node_modules/react/lib/flattenChildren.js',
  'node_modules/react/lib/focusNode.js',
  'node_modules/react/lib/forEachAccumulated.js',
  'node_modules/react/lib/getActiveElement.js',
  'node_modules/react/lib/getEventKey.js',
  'node_modules/react/lib/getEventTarget.js',
  'node_modules/react/lib/getMarkupWrap.js',
  'node_modules/react/lib/getNodeForCharacterOffset.js',
  'node_modules/react/lib/getReactRootElementInContainer.js',
  'node_modules/react/lib/getTextContentAccessor.js',
  'node_modules/react/lib/getUnboundedScrollPosition.js',
  'node_modules/react/lib/hyphenate.js',
  'node_modules/react/lib/instantiateReactComponent.js',
  'node_modules/react/lib/invariant.js',
  'node_modules/react/lib/isEventSupported.js',
  'node_modules/react/lib/isNode.js',
  'node_modules/react/lib/isTextInputElement.js',
  'node_modules/react/lib/isTextNode.js',
  'node_modules/react/lib/joinClasses.js',
  'node_modules/react/lib/keyMirror.js',
  'node_modules/react/lib/keyOf.js',
  'node_modules/react/lib/LinkedStateMixin.js',
  'node_modules/react/lib/LinkedValueUtils.js',
  'node_modules/react/lib/memoizeStringOnly.js',
  'node_modules/react/lib/mergeHelpers.js',
  'node_modules/react/lib/mergeInto.js',
  'node_modules/react/lib/merge.js',
  'node_modules/react/lib/mixInto.js',
  'node_modules/react/lib/MobileSafariClickEventPlugin.js',
  'node_modules/react/lib/monitorCodeUse.js',
  'node_modules/react/lib/objMap.js',
  'node_modules/react/lib/objMapKeyVal.js',
  'node_modules/react/lib/onlyChild.js',
  'node_modules/react/lib/performanceNow.js',
  'node_modules/react/lib/PooledClass.js',
  'node_modules/react/lib/ReactBrowserComponentMixin.js',
  'node_modules/react/lib/ReactChildren.js',
  'node_modules/react/lib/ReactComponentBrowserEnvironment.js',
  'node_modules/react/lib/ReactComponent.js',
  'node_modules/react/lib/ReactCompositeComponent.js',
  'node_modules/react/lib/ReactContext.js',
  'node_modules/react/lib/ReactCSSTransitionGroupChild.js',
  'node_modules/react/lib/ReactCSSTransitionGroup.js',
  'node_modules/react/lib/ReactCurrentOwner.js',
  'node_modules/react/lib/ReactDefaultBatchingStrategy.js',
  'node_modules/react/lib/ReactDefaultInjection.js',
  'node_modules/react/lib/ReactDefaultPerfAnalysis.js',
  'node_modules/react/lib/ReactDefaultPerf.js',
  'node_modules/react/lib/ReactDOMButton.js',
  'node_modules/react/lib/ReactDOMComponent.js',
  'node_modules/react/lib/ReactDOMForm.js',
  'node_modules/react/lib/ReactDOMIDOperations.js',
  'node_modules/react/lib/ReactDOMImg.js',
  'node_modules/react/lib/ReactDOMInput.js',
  'node_modules/react/lib/ReactDOM.js',
  'node_modules/react/lib/ReactDOMOption.js',
  'node_modules/react/lib/ReactDOMSelection.js',
  'node_modules/react/lib/ReactDOMSelect.js',
  'node_modules/react/lib/ReactDOMTextarea.js',
  'node_modules/react/lib/ReactErrorUtils.js',
  'node_modules/react/lib/ReactEventEmitter.js',
  'node_modules/react/lib/ReactEventEmitterMixin.js',
  'node_modules/react/lib/ReactEventTopLevelCallback.js',
  'node_modules/react/lib/ReactInjection.js',
  'node_modules/react/lib/ReactInputSelection.js',
  'node_modules/react/lib/ReactInstanceHandles.js',
  'node_modules/react/lib/React.js',
  'node_modules/react/lib/ReactLink.js',
  'node_modules/react/lib/ReactMarkupChecksum.js',
  'node_modules/react/lib/ReactMount.js',
  'node_modules/react/lib/ReactMountReady.js',
  'node_modules/react/lib/ReactMultiChild.js',
  'node_modules/react/lib/ReactMultiChildUpdateTypes.js',
  'node_modules/react/lib/ReactOwner.js',
  'node_modules/react/lib/ReactPerf.js',
  'node_modules/react/lib/ReactPropTransferer.js',
  'node_modules/react/lib/ReactPropTypeLocationNames.js',
  'node_modules/react/lib/ReactPropTypeLocations.js',
  'node_modules/react/lib/ReactPropTypes.js',
  'node_modules/react/lib/ReactPutListenerQueue.js',
  'node_modules/react/lib/ReactReconcileTransaction.js',
  'node_modules/react/lib/ReactRootIndex.js',
  'node_modules/react/lib/ReactServerRendering.js',
  'node_modules/react/lib/ReactServerRenderingTransaction.js',
  'node_modules/react/lib/ReactStateSetters.js',
  'node_modules/react/lib/ReactTestUtils.js',
  'node_modules/react/lib/ReactTextComponent.js',
  'node_modules/react/lib/ReactTransitionChildMapping.js',
  'node_modules/react/lib/ReactTransitionEvents.js',
  'node_modules/react/lib/ReactTransitionGroup.js',
  'node_modules/react/lib/ReactUpdates.js',
  'node_modules/react/lib/ReactWithAddons.js',
  'node_modules/react/lib/SelectEventPlugin.js',
  'node_modules/react/lib/ServerReactRootIndex.js',
  'node_modules/react/lib/shallowEqual.js',
  'node_modules/react/lib/shouldUpdateReactComponent.js',
  'node_modules/react/lib/SimpleEventPlugin.js',
  'node_modules/react/lib/SyntheticClipboardEvent.js',
  'node_modules/react/lib/SyntheticCompositionEvent.js',
  'node_modules/react/lib/SyntheticDragEvent.js',
  'node_modules/react/lib/SyntheticEvent.js',
  'node_modules/react/lib/SyntheticFocusEvent.js',
  'node_modules/react/lib/SyntheticKeyboardEvent.js',
  'node_modules/react/lib/SyntheticMouseEvent.js',
  'node_modules/react/lib/SyntheticTouchEvent.js',
  'node_modules/react/lib/SyntheticUIEvent.js',
  'node_modules/react/lib/SyntheticWheelEvent.js',
  'node_modules/react/lib/toArray.js',
  'node_modules/react/lib/Transaction.js',
  'node_modules/react/lib/traverseAllChildren.js',
  'node_modules/react/lib/update.js',
  'node_modules/react/lib/ViewportMetrics.js',
  'node_modules/react/lib/warning.js',
  'node_modules/react/package.json',
  'node_modules/react/react.js',
  'node_modules/react/README.md',
  'node_modules/reactify/CHANGELOG.md',
  'node_modules/reactify/index.js',
  'node_modules/reactify/LICENSE',
  'node_modules/reactify/Makefile',
  'node_modules/reactify/package.json',
  'node_modules/reactify/README.md',
  'node_modules/reactify/test/reactify.js',
  'node_modules/reactify/undoubted.js',
  'node_modules/vinyl-source-stream/index.js',
  'node_modules/vinyl-source-stream/LICENSE.md',
  'node_modules/vinyl-source-stream/package.json',
  'node_modules/vinyl-source-stream/README.md',
  'node_modules/vinyl-source-stream/test.js',
  'package.json',
  'pkg/index.js',
  'pkg/views/directory.js',
  'pkg/views/file.js',
  'pkg/views/folder.js',
  'pkg/views/pane.js',
  'pkg/views/ranger.js',
  'readme.md',
  'test.txt'
];

document.addEventListener('DOMContentLoaded', function () {

  React.renderComponent(new Ranger({
    data: Ranger.parseList(files),
    onExecute: function (item) {
      console.log('opening', item);
    }
  }), document.body);

});
